"""
An example main.py which makes use of the ProgramChooser library
Copyright (C) 2024  Benjamin Burkhardt <bluefox@privacynerd.de>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

# import library and the garbage collector - nothing more
from ProgramChooser import ProgramChooser
import gc  # garbage collector for better memory performance


# extra functions to access the garbage collector
def randomblink():
    import randomblink
    randomblink.run()
    gc.collect()

def lcd_big_hello():
    import lcd_big_hello
    lcd_big_hello.run()
    gc.collect()

# create a programs dict, where the items are callables (functions)
programs = {
    "randomblink": randomblink,
    "lcd_big_hello": lcd_big_hello
    }

pc = ProgramChooser(programs, 7, 8, debug=True)  # initialize the ProgramChooser
pc.run()  # and run it (will be an endless loop)
